%define version 1.19
%define release 1mdk
%define url ftp://download.sourceforge.net/pub/sourceforge/e2fsprogs/
%define	_root_sbindir	/sbin
%define	_root_libdir	/%{_lib}

Summary: Utilities used for the second extended (ext2) filesystem.
Name: e2fsprogs
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Kernel and hardware
Source: %{url}/e2fsprogs-%{version}.tar.bz2
Source1: e2fsprogs-resize.tar.bz2
Patch0: e2fsprogs-fsck-loop-as-type.patch.bz2
Patch1: e2fsprogs-et.patch.bz2
Patch2: e2fsprogs-1.18-resize.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.

You should install the e2fsprogs package if you need to manage the
performance of an ext2 filesystem.

%package devel
Summary: Ext2 filesystem-specific static libraries and headers.
Group: Development/C
Requires: e2fsprogs

%description devel
E2fsprogs-devel contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.

You should install e2fsprogs-devel if you want to develop ext2
filesystem-specific programs.  If you install e2fsprogs-devel, you'll
also want to install e2fsprogs.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
autoconf

%build
autoconf
%configure --enable-elf-shlibs
make libs progs docs

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/sbin:$PATH
%makeinstall \
    root_sbindir=${RPM_BUILD_ROOT}%{_root_sbindir} \
    root_libdir=${RPM_BUILD_ROOT}%{_root_libdir} \
	install-libs

{ cd ${RPM_BUILD_ROOT}%{_libdir}
  ln -sf %{_root_libdir}/libcom_err.so.2 libcom_err.so
  ln -sf %{_root_libdir}/libe2p.so.2 libe2p.so
  ln -sf %{_root_libdir}/libext2fs.so.2 libext2fs.so
  ln -sf %{_root_libdir}/libss.so.2 libss.so
  ln -sf %{_root_libdir}/libuuid.so.1 libuuid.so
}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README RELEASE-NOTES

%{_root_sbindir}/badblocks
%{_root_sbindir}/debugfs
%{_root_sbindir}/dumpe2fs
%{_root_sbindir}/e2fsck
%{_root_sbindir}/e2label
%{_root_sbindir}/fsck
%{_root_sbindir}/fsck.ext2
%{_root_sbindir}/mke2fs
%{_root_sbindir}/mkfs.ext2
%{_root_sbindir}/resize2fs
%{_root_sbindir}/tune2fs
%{_sbindir}/mklost+found

%{_root_libdir}/libcom_err.so.*
%{_root_libdir}/libe2p.so.*
%{_root_libdir}/libext2fs.so.*
%{_root_libdir}/libss.so.*
%{_root_libdir}/libuuid.so.*

%{_bindir}/chattr
%{_bindir}/lsattr
%{_bindir}/uuidgen
%{_mandir}/man1/chattr.1*
%{_mandir}/man1/lsattr.1*
%{_mandir}/man1/uuidgen.1*

%{_mandir}/man8/badblocks.8*
%{_mandir}/man8/debugfs.8*
%{_mandir}/man8/dumpe2fs.8*
%{_mandir}/man8/e2fsck.8*
%{_mandir}/man8/e2label.8*
%{_mandir}/man8/fsck.8*
%{_mandir}/man8/mke2fs.8*
%{_mandir}/man8/mklost+found.8*
%{_mandir}/man8/resize2fs.8*
%{_mandir}/man8/tune2fs.8*

%files devel
%defattr(-,root,root)
%{_infodir}/libext2fs.info*
%{_bindir}/compile_et
%{_bindir}/mk_cmds

%{_libdir}/libcom_err.a
%{_libdir}/libcom_err.so
%{_libdir}/libe2p.a
%{_libdir}/libe2p.so
%{_libdir}/libext2fs.a
%{_libdir}/libext2fs.so
%{_libdir}/libss.a
%{_libdir}/libss.so
%{_libdir}/libuuid.a
%{_libdir}/libuuid.so

%{_datadir}/et
%{_datadir}/ss
%{_includedir}/et
%{_includedir}/ext2fs
%{_includedir}/ss
%{_includedir}/uuid
%{_mandir}/man1/compile_et.1*
%{_mandir}/man3/com_err.3*

%changelog
* Thu Jul 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19-1mdk
- Add ext2 resize.
- 1.19.
- BM and macros.

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.18-5mdk
- fix the chmou sucks (aka fsck.ext2 linked to fsck is *no* good)

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.18-4mdk
- Merge with rh patchs.
- Clean-up specs.
- Upgrade groups.
- Make statically-linked-binary soft link.

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 1.18-3mdk
- patch for long device names and option -C (usefull for loopback)

* Sat Mar 11 2000 Pixel <pixel@mandrakesoft.com> 1.18-2mdk
- patch for adding ability to say "-t loop" or "-t noloop", looking in the fstab
  mount options

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.18.

* Mon Nov  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to fix corruption bugs with more than 10Gb.

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove ext2fs.shared.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.17.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- update mke2fs man page so that it reflects changes in mke2fs
  netweem 1.14 and 1.15.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 info

* Wed Jul 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 1.15
- Added french description

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add e2fsprog-shared in the %files 
 (proposed by H.J. Lu <hjl@varesearch.com>).

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- add de locale
- fix up description (you need e2fsprogs in any case... Installing a
  system without e2fsck is definately stupid)
- add e2compression support

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- fix fsck segfault

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.14
- use %configure to generate config.sub on arm

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- fix %{_bindir}/compile_et and doco for com_err.h (#673)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build with prefix=%{prefix}
- add arm patch

* Mon Dec 28 1998 Jeff Johnson  <jbj@redhat.com>
- update to 1.13.

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Mon Jul 13 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.12.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- include <asm/types.h> to match kernel types in utils

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- fixed broken llseek() prototype 

* Wed Aug 20 1997 Erik Troan <ewt@redhat.com>
- added patch to prototype llseek

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
